## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl
Class EncryptionInfoImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.EncryptionInfoImpl

All Implemented Interfaces:
  EncryptionInfo, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class EncryptionInfoImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements EncryptionInfo

An implementation of the model object 'Encryption Info'.

The following features are implemented:

- `Encrypted Table`
- `Encryption Key`
- `Algorithm`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getAlgorithm()`
`java.lang.String` `getEncryptionKey()`
`boolean` `isEncryptedTable()`
`void` `setAlgorithm(java.lang.String newAlgorithm)`
`void` `setEncryptedTable(boolean newEncryptedTable)`
`void` `setEncryptionKey(java.lang.String newEncryptionKey)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### isEncryptedTable

    public boolean isEncryptedTable()

  Specified by:
    `isEncryptedTable` in interface `EncryptionInfo`
  Returns:
    the value of the 'Encrypted Table' attribute.
  See Also:
    `EncryptionInfo.setEncryptedTable(boolean)`, `SybaseasabasesqlmodelPackage.getEncryptionInfo_EncryptedTable()`

### setEncryptedTable

    public void setEncryptedTable(boolean newEncryptedTable)

  Specified by:
    `setEncryptedTable` in interface `EncryptionInfo`
  Parameters:
    `newEncryptedTable` - the new value of the 'Encrypted Table' attribute.
  See Also:
    `EncryptionInfo.isEncryptedTable()`

### getEncryptionKey

    public java.lang.String getEncryptionKey()

  Specified by:
    `getEncryptionKey` in interface `EncryptionInfo`
  Returns:
    the value of the 'Encryption Key' attribute.
  See Also:
    `EncryptionInfo.setEncryptionKey(String)`, `SybaseasabasesqlmodelPackage.getEncryptionInfo_EncryptionKey()`

### setEncryptionKey

    public void setEncryptionKey(java.lang.String newEncryptionKey)

  Specified by:
    `setEncryptionKey` in interface `EncryptionInfo`
  Parameters:
    `newEncryptionKey` - the new value of the 'Encryption Key' attribute.
  See Also:
    `EncryptionInfo.getEncryptionKey()`

### getAlgorithm

    public java.lang.String getAlgorithm()

  Specified by:
    `getAlgorithm` in interface `EncryptionInfo`
  Returns:
    the value of the 'Algorithm' attribute.
  See Also:
    `EncryptionInfo.setAlgorithm(String)`, `SybaseasabasesqlmodelPackage.getEncryptionInfo_Algorithm()`

### setAlgorithm

    public void setAlgorithm(java.lang.String newAlgorithm)

  Specified by:
    `setAlgorithm` in interface `EncryptionInfo`
  Parameters:
    `newAlgorithm` - the new value of the 'Algorithm' attribute.
  See Also:
    `EncryptionInfo.getAlgorithm()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`